package com.mx.dla.dda.contrato.ws.dtos;

import java.io.Serializable;

/**
 * Un objeto de tipo ItemPosicionDTO representa cada uno de los posibles registros detalle para crear un Adendum/Enmienda
 * Este objeto pertenece al ámbito DDA.
 */
public class ItemPosicionDTO implements Serializable 
{
	private static final long serialVersionUID = 1L;
	private String posicion;
	private String cantidad;
	
	public String getPosicion() {
		return posicion;
	}
	public void setPosicion(String posicion) {
		this.posicion = posicion;
	}
	public String getCantidad() {
		return cantidad;
	}
	public void setCantidad(String cantidad) {
		this.cantidad = cantidad;
	}
	
	public String toString() 
	{
		StringBuilder result = new StringBuilder();
		String NEW_LINE = System.getProperty("line.separator");
		result.append(" [Begin of Class] " + NEW_LINE);
		result.append(this.getClass().getSimpleName() + " Object {" + NEW_LINE);
		result.append(" posicion: _" + this.getPosicion() + "_" + NEW_LINE);
		result.append(" cantidad: _" + this.getCantidad() + "_" + NEW_LINE);
		result.append(" [End of Class] " + NEW_LINE);
		result.append("}");
		NEW_LINE = null;

		return result.toString();
	}

}
